500 Internal Server Error — CyberPanel - WebHosting Control Panel for OpenLiteSpeed
CyberHosting

500 Internal Server Error

Hi there,

I got 500 Internal Server Error from Cyberpanel :8090.
Website and WebAdmin :7080 is working fine.

I tried systemctl start lsws - and its running just fine
systemctl start gunicorn.socket - here Im getting error : "Failed to start gunicorn.socket: Unit gunicorn.socket not found."

Any idea?

Thank you in advance!

Comments

  • gunicorn has not been used since 1.7

    what did you do before you received the error?
    Cyberpanel Managed & Unmanaged Shared & VPS Hosting by Cyberpanel Experts.
    https://www.cyberhosting.org
    You can now earn with the Cyberhosting affiliate scheme. Join today
    https://www.cyberhosting.org/affiliates/
  • Okay, that's why my bad.

    I believe that's because of Wordfence plugin. I ran a scan and fix and also got an issue with the file(don't remember wich now and not able to find it in wordfence log) being exposed to the public so I click on hide (stupid move from me)
    So maybe some permission problem?

    I also tried to deactivate wordfence but no change...
  • Hiding the file was not the problem. it was " .user.ini " file from backup...
  • .user.ini is not a standard created Cyberpanel file.

    You transferred from cpanel?
    Cyberpanel Managed & Unmanaged Shared & VPS Hosting by Cyberpanel Experts.
    https://www.cyberhosting.org
    You can now earn with the Cyberhosting affiliate scheme. Join today
    https://www.cyberhosting.org/affiliates/
  • I transferred from Cloudways which is nginx + apache (you probably know).

    When I moved everything was working perfectly.
    Even the speed increased greatly (I love litespeed!)
  • Can be a problem that I gave all privileges to cyberpanel user in phpmyadmin?
    https://imgur.com/jiKy62h
  • Type your comment> @dakbooost said:
    > Can be a problem that I gave all privileges to cyberpanel user in phpmyadmin?
    > https://imgur.com/jiKy62h

    You call that changing things when you do not have to. I don't see any reason why you needed to give all privileges. In fact you should never just give all and should only give what you require.

    OLS will use .user.ini but they are not created by Cyberpanel. So if you have them then you need to alter or delete them.
    Cyberpanel Managed & Unmanaged Shared & VPS Hosting by Cyberpanel Experts.
    https://www.cyberhosting.org
    You can now earn with the Cyberhosting affiliate scheme. Join today
    https://www.cyberhosting.org/affiliates/
  • Type your comment> @hennaboy said:
    > Type your comment> @dakbooost said:
    > > Can be a problem that I gave all privileges to cyberpanel user in phpmyadmin?
    > > https://imgur.com/jiKy62h
    >
    > You call that changing things when you do not have to. I don't see any reason why you needed to give all privileges. In fact you should never just give all and should only give what you require.
    >
    I was triyng to fix " mysqldump: Got error: 1045: "Access denied for user 'cyberpanel'@'localhost' (using password: NO)" when trying to connect" "

    So It was for testing purposes...


    Btw I'm running cyberpanel on Ubuntu 20.04 x64. (Should be 100% compatible, right), because I have more experiences with ubuntu than with Centos, but if it is a problem I will switch to Centos...

    Thank you for your time so far!
  • I am running CP on Ubuntu 20 and have no issues at all.

    Seems that you have caused the issue yourself.
    Cyberpanel Managed & Unmanaged Shared & VPS Hosting by Cyberpanel Experts.
    https://www.cyberhosting.org
    You can now earn with the Cyberhosting affiliate scheme. Join today
    https://www.cyberhosting.org/affiliates/
  • I've upgraded cyberpanel to the latest 2.0.2 on ubuntu 18.04 since then cyberpanel admin cannot be accessed 500 error.
    I run this command: systemctl status lscpd

    result:
    job for lscpd service failed because the control process exited with error code.
    Failed to start LSCPD Deamon

    I've restarted the server many times I just don't know what to do.
    Any help much appreciated.
  • I fixed my issue by running an upgrading script for Cyberpanel...

    With upgrading script, you can upgrade but also fix various errors...

    Hope this can also help to somebody...

    sh <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh || wget -O - https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
Sign In or Register to comment.
CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!